?php

// Автор: Asadal (Шаповалов Эдуард)


include '../system/sys.php';
include '../system/funcs.php';

if ($us['level']<1) {
header ('location: /adm/');
exit;
}

switch($_GET['mod']) {
default:
H ('Админка', 'Смайлы');

$c_f = DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `Smiles`");

if($c_f == 0){
echo '<div class="raz">Смайлов нет</div>';
}
        
$query = DB :: $dbs -> query ("SELECT * FROM `Smiles` ORDER BY `id`");
while ($kat = $query -> fetch()) {
echo '<div class="list1"><img src="/files/Smiles/' . $kat['files'] . '">' . $kat['name'] . '</a></div>';
}
        
 echo '<div class="list1"><a href="/adm/smiles.php?mod=add_smiles">Добавить смайл</a></div>';
F ();
?>